name: linuxserver-syslog-ng
services:
  app:
    image: linuxserver/syslog-ng:4.10.2
    restart: unless-stopped
    environment:
      PUID: $PUID
      PGID: $PGID
      TZ: $TZ
      LOG_TO_STDOUT: ''
    x-casaos:
      envs:
        - container: PUID
          description:
            en_us: Run 'id [USER]' for the owner of the host volume directories to get the UID to use here.
        - container: PGID
          description:
            en_us: Run 'id [USER]' for the owner of the host volume directories to get the GID to use here.
        - container: TZ
          description:
            en_us: specify a timezone to use, see this list.
        - container: LOG_TO_STDOUT
          description:
            en_us: If set to true container will log to stdout, otherwise will log to /config/log/. [OPTIONAL]
    ports:
      - target: 514
        published: 5514
        protocol: udp
      - target: 601
        published: 6601
        protocol: tcp
      - target: 6514
        published: 6514
        protocol: tcp
    volumes:
      - type: bind
        source: /srv/lsio/syslog-ng/config
        target: /config
      - type: bind
        source: /var/log
        target: /var/log
x-casaos:
  architectures:
    - amd64
    - arm64
  main: app
  description:
    en_us: syslog-ng allows you to flexibly collect, parse, classify, rewrite and correlate logs from across your infrastructure and store or route them to log analysis tools.
  tagline:
    en_us: Allows you to flexibly collect, parse, classify, rewrite and correlate logs from across your infrastructure and store or route them to log analysis tools.
  developer: LinuxServer.io
  author: WisdomSky
  icon: https://raw.githubusercontent.com/linuxserver/docker-templates/master/linuxserver.io/img/syslog-ng-logo.png
  thumbnail: https://raw.githubusercontent.com/linuxserver/docker-templates/master/linuxserver.io/img/syslog-ng-logo.png
  title:
    en_us: Syslog ng
  category: LinuxServer.io
